API ReferenceLogs
Search and retrieve tool execution logsv3.1
Search and retrieve tool execution logs with filtering, pagination, and time range support.
Authorization
ApiKeyAuth x-api-key<token>
Project API key authentication
In: header
Request Body
application/json
limitnumber
Default:
20cursornullable string
The next_cursor from the previous page. Omit it for the first page.
filtersarray of object
time_rangeobject
Response Body
application/json
application/json
application/json
application/json
import requestsurl = "https://example.com/api/v3.1/logs/tool_execution"body = """{}"""response = requests.request("POST", url, data = body, headers = { "Content-Type": "application/json"})print(response.text){ "logs": [ { "id": "string", "timestamp": "2019-08-24T14:15:22Z", "type": "string", "status": "success", "level": "info", "message": "string", "metadata": { "credential_source": "connected_account", "instant_charge": "string", "property1": null, "property2": null }, "metrics": { "property1": null, "property2": null }, "parent": { "log_id": "string", "tool_slug": "string" } } ], "next_cursor": "string"}